This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 137678 - Fails to load AIC7xxx: kernel trace + hang
Fails to load AIC7xxx: kernel trace + hang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-30 11:20 EDT by Need Real Name
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 00:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-10-30 11:20:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The integrated SCSI controller in the Dell Precision 670 workstation,
an Adaptec AIC-7901, causes the install to try to load aic7xxx, which
fails dumping random characters and a kernel stacktrace to the display.

The Precision has the A02 bios revision.
The Adaptec bios load message is:
<code>Adaptec SCSI HostRAID BIOS v4.30.4S5</code>

I have tried using the format from the Adaptec configuration utility,
and it still fails with no partitions on the drive.

Always reproducable. Same behaviour exhibited with FC2, FC3test3, and
FC3RC7.

There is a work around for RHEL available at: 
  http://hardware.redhat.com/hcl/?pagename=details&hid=5623

There is a similar package available for x86 architecture.

Solution:
Loading this disk image for drivers enables the install sequence to
work.  Can the modules from the disk be included in the FC3 install
sequence directly?  This solution does not work for FC2, the drives
are not discovered.

--Azaroth@liv.ac.uk




Version-Release number of selected component (if applicable):
Release Candiate 7

How reproducible:
Always

Steps to Reproduce:
1.Attempt to install with base CD/DVD, without additional driver disk
2.
3.
    

Actual Results:  Kernel stack trace, installer hangs, hard drives
can't be found.

Expected Results:  Hard drives found, installer doesn't hang

Additional info:
Comment 1 Need Real Name 2004-10-30 11:45:21 EDT
To clarify:

Even if the driver disk is used, it still can't find any hard drives
to install to, but does get past the initial loading phase.  Using the
driver disk, the process gets to formatting partitions with Disk
Druid/Automatically and then exits with a message that it can't find
media to install to.
Comment 2 Need Real Name 2004-10-30 19:45:22 EDT
http://download.adaptec.com/scsi/linux/aic7Yxx-2.0.12-6.3.9-linux-2.6.tar.bz2

This file has the code for 2.6 kernel, afaict
Comment 3 Need Real Name 2004-11-01 08:12:33 EST
When using the RHEL disk, the log shows:

* not a new format driver disk, checking for old
* failed to open /tmp/drivers/modules.pcimap: No such file or directory
* failed to open /tmp/drivers/pci.ids: No such file or directory
* no pcic controller found
* probing buses
* finished bus probing
* modules to insert e1000 a320raid libata ata_piix
* modules(s) e1000 a320raid libata ata_piix not found

/proc/pci reports it as:

Bus 2, device 14, function 0:
  RAID bus controller: Adaptec AIC-7901 U320 w/HostRAID (rev 16)
  IRQ 11
  (blablabla)


Hope that helps :)
(Just let me know anything you want me to do. Currently I have $5k
worth of hardware sitting on my living room floor doing nothing)

Rob.
Comment 4 Need Real Name 2004-11-01 14:54:31 EST
CentOS 3.3 installs fine, as it includes the RHEL patches.  Now to try
and bootstrap everything up from there :P

-- Rob

Note You need to log in before you can comment on or make changes to this bug.